/**
 * Fade in fade out rss feed
 *
 * @package 	Fade in fade out rss feed
 * @subpackage 	Fade in fade out rss feed
 * @version   	3.4
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2015 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/09/fade-in-fade-out-rss-feed-joomla-module/
 */

var fiforss_FadeInterval;

window.onload = fiforss_FadeRotate

var fiforss_Links;
var fiforss_Titles;
var fiforss_Cursor = 0;
var fiforss_Max;


function fiforss_FadeRotate() 
{
  fiforss_FadeInterval = setInterval(fiforss_Ontimer, 10);
  fiforss_Links = new Array();
  fiforss_Titles = new Array();
  fiforss_SetFadeLinks();
  fiforss_Max = fiforss_Links.length-1;
  fiforss_SetFadeLink();
}

function fiforss_SetFadeLink() {
  var ilink = document.getElementById("fiforss_Link");
  ilink.innerHTML = fiforss_Titles[fiforss_Cursor];
  ilink.href = fiforss_Links[fiforss_Cursor];
}

function fiforss_Ontimer() {
  if (fiforss_bFadeOutt) {
    fiforss_Fade+=fiforss_FadeStep;
    if (fiforss_Fade>fiforss_FadeOut) {
      fiforss_Cursor++;
      if (fiforss_Cursor>fiforss_Max)
        fiforss_Cursor=0;
      fiforss_SetFadeLink();
      fiforss_bFadeOutt = false;
    }
  } else {
    fiforss_Fade-=fiforss_FadeStep;
    if (fiforss_Fade<fiforss_FadeIn) {
      clearInterval(fiforss_FadeInterval);
      setTimeout(Faderesume, fiforss_FadeWait);
      fiforss_bFadeOutt=true;
    }
  }
  var ilink = document.getElementById("fiforss_Link");
  if ((fiforss_Fade<fiforss_FadeOut)&&(fiforss_Fade>fiforss_FadeIn))
    ilink.style.color = "#" + ToHex(fiforss_Fade);
}

function Faderesume() {
  fiforss_FadeInterval = setInterval(fiforss_Ontimer, 10);
}

function ToHex(strValue) {
  try {
    var result= (parseInt(strValue).toString(16));

    while (result.length !=2)
            result= ("0" +result);
    result = result + result + result;
	//alert(result);
    return result.toUpperCase();
  }
  catch(e)
  {
  }
}